--- title: "Get All Child Domains in a Admin Domain" slug: "get-all-child-domains-in-a-admin-domain" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:35:43Z published: 2026-09-23T09:35:43Z canonical: "docs.trellix.com/get-all-child-domains-in-a-admin-domain" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get All Child Domains in a Admin Domain This API gets details of all child admin domains in the Manager including hierarchy information in the specified domain. ## Resource URL GET /domain/ ## Request Parameters | Field Name | Description | Data Type | | --- | --- | --- | | domain_id | Domain ID | Number | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | DomainDescriptor | Domain details | Object | Details of DomainDescriptor: | Field Name | Description | Data Type | | --- | --- | --- | | id | Domain Id | Number | | name | Domain name | String | | childdomains | List of domain descriptor object | Array | ## Example **Request** GET [https://%3CNSM_IP%3E/sdkapi/domain/101](https://%3CNSM_IP%3E/sdkapi/domain/101) **Response** ``` {       "DomainDescriptor":       {           "id": 101,           "name": "Test Child Domain 1",           "childdomains":           [               {                   "id": 103,                   "name": "Test Child Domain 1.1",                   "childdomains":                   [                       {                           "id": 104,                           "name": "Test Child Domain 1.1.1",                           "childdomains": null                       }                   ]               }           ]       }    } ```   ## Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain |